For the complete documentation index, see llms.txt. This page is also available as Markdown.

Workspace

List

get

Retrieve a list of Azure Virtual Desktop Workspaces.

Query parameters
namestringOptional

the Name of the Azure Virtual Desktop Workspace

siteIdinteger · int32Optional

The Site ID for which to retrieve the Azure Virtual Desktop Workspace.

Responses
200

Success

application/json; api-version=1.0

AVD Workspace

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

providerIdinteger · int32Optional

Provider Id

namestring · nullableOptional

Name

enabledbooleanOptional

Enabled

friendlyNamestring · nullableOptional

Friendly Name

descriptionstring · nullableOptional

Description

resourceGroupstring · nullableOptional

Resource Group

locationstring · nullableOptional

Location

azureIdstring · nullableOptional

Azure Id

get/api/AVD/Workspace
GET /api/AVD/Workspace HTTP/1.1
Accept: */*
[
  {
    "id": 1,
    "adminCreate": "text",
    "adminLastMod": "text",
    "timeCreate": "2026-01-01T00:00:00.000Z",
    "timeLastMod": "2026-01-01T00:00:00.000Z",
    "providerId": 1,
    "name": "text",
    "enabled": true,
    "friendlyName": "text",
    "description": "text",
    "resourceGroup": "text",
    "location": "text",
    "azureId": "text"
  }
]

Create

post

Creates a new Azure Virtual Desktop Workspace.

Body

To create a new AVD Workspace

namestring · min: 1 · max: 255 · nullableRequired

The name of the Azure Virtual Desktop Workspace.

siteIdinteger · int32Optional

Site ID in which to create the specified Azure Virtual Desktop Workspace. If the parameter is omitted, the Licensing Server site ID will be used.

providerIdinteger · int32Required

The Provider ID of the Azure Virtual Desktop Provider.

descriptionstring · nullableOptional

Description of the Azure Virtual Desktop Workspace.

friendlyNamestring · min: 1 · max: 255 · nullableOptional

Friendly name of Azure Virtual Desktop Workspace.

resourceGroupstring · min: 1 · max: 255 · nullableRequired

Resource Group of the Azure Virtual Desktop Workspace.

locationstring · min: 1 · max: 255 · nullableRequired

Location Name of the Azure Virtual Desktop Workspace.

Responses
201

Created

application/json; api-version=1.0

AVD Workspace

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

providerIdinteger · int32Optional

Provider Id

namestring · nullableOptional

Name

enabledbooleanOptional

Enabled

friendlyNamestring · nullableOptional

Friendly Name

descriptionstring · nullableOptional

Description

resourceGroupstring · nullableOptional

Resource Group

locationstring · nullableOptional

Location

azureIdstring · nullableOptional

Azure Id

post/api/AVD/Workspace
POST /api/AVD/Workspace HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 125

{
  "name": "text",
  "siteId": 1,
  "providerId": 1,
  "description": "text",
  "friendlyName": "text",
  "resourceGroup": "text",
  "location": "text"
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "providerId": 1,
  "name": "text",
  "enabled": true,
  "friendlyName": "text",
  "description": "text",
  "resourceGroup": "text",
  "location": "text",
  "azureId": "text"
}

Get

get

Retrieve the Azure Virtual Desktop Workspace.

Path parameters
idinteger · int32Required

The ID of the Azure Virtual Desktop Workspace.

Responses
200

Success

application/json; api-version=1.0

AVD Workspace

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

providerIdinteger · int32Optional

Provider Id

namestring · nullableOptional

Name

enabledbooleanOptional

Enabled

friendlyNamestring · nullableOptional

Friendly Name

descriptionstring · nullableOptional

Description

resourceGroupstring · nullableOptional

Resource Group

locationstring · nullableOptional

Location

azureIdstring · nullableOptional

Azure Id

get/api/AVD/Workspace/{id}
GET /api/AVD/Workspace/{id} HTTP/1.1
Accept: */*
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "providerId": 1,
  "name": "text",
  "enabled": true,
  "friendlyName": "text",
  "description": "text",
  "resourceGroup": "text",
  "location": "text",
  "azureId": "text"
}

Update

put

Modifies an Azure Virtual Desktop Workspace.

Path parameters
idinteger · int32Required

The ID of the Azure Virtual Desktop Workspace to modify.

Body
friendlyNamestring · min: 1 · max: 255 · nullableOptional

Friendly name of Azure Virtual Desktop Workspace.

descriptionstring · nullableOptional

Description of Azure Virtual Desktop Workspace.

enableboolean · nullableOptional

Enables or disables the Azure Virtual Desktop Workspace in site.

Responses
204

No Content

No content

put/api/AVD/Workspace/{id}
PUT /api/AVD/Workspace/{id} HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 58

{
  "friendlyName": "text",
  "description": "text",
  "enable": true
}

No content

Remove

delete

Removes an Azure Virtual Desktop Workspace.

Path parameters
idinteger · int32Required

The ID of the Azure Virtual Desktop Workspace to remove.

Responses
204

No Content

No content

delete/api/AVD/Workspace/{id}
DELETE /api/AVD/Workspace/{id} HTTP/1.1
Accept: */*

No content